[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# IndexChar0

Return index of a character in null-terminated array of char.

## Declaration

Source position: systemh.inc line 552

`function IndexChar0(`
`const buf;`
`len: SizeInt;`
`b: Char`
`):SizeInt;`

## Description

IndexChar0 returns the index of the character b in the null-terminated array Buf. At most len characters will be searched, or the null character if it is encountered first. If the character is not found, -1 is returned.

## Errors

On error, -1 is returned.

## See also

IndexByte |  | Search for a byte in a memory range.
IndexChar |  | Search for a character in a memory range.
IndexWord |  | Search for a WORD value in a memory range.
IndexDWord |  | Search for a DWord value in a memory range.
CompareChar0 |  | Compare two buffers character by character till a null-character is reached.

Documentation generated on: Feb 26 2014